Skip to main content
GET
/
connect
/
v1
/
organizations
/
{organizationId}
/
custom-connection-requests
List custom connection requests
curl --request GET \
  --url https://api.voyant.travel/connect/v1/organizations/{organizationId}/custom-connection-requests \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "supplierName": "<string>",
      "description": "<string>",
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "requesterUserId": "<string>",
      "website": "<string>",
      "estimatedVolume": "<string>",
      "hasCredentials": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

organizationId
string
required

Response

200 - application/json

Requests.

data
object[]